// Copyright 2025, IPng Networks GmbH, Pim van Pelt <pim@ipng.ch>

package main

import (
	"os"
	"testing"
)

func TestMainCompiles(t *testing.T) {
	// This test simply ensures that main package compiles
	// More comprehensive integration tests would require mocking VPP and SNMP
	if os.Getenv("BE_MAIN") == "1" {
		// This would run main(), but we skip it in tests
		return
	}

	// Just test that we can access main package
	t.Log("Main package compiles successfully")
}
